﻿# The script of the game goes in this file.

image bg black = "#000000"
image bg sky = "sky.png"
image bg sky2 = "sky2.png"
image bg sky3 = "sky3.png"
image bg sky4 = "sky4.png"

init:
    $ menu = nvl_menu
    $ narrator = Character(">", kind=nvl)
    $ s = Character(">", color="#7EC0EE", kind=nvl)
    $ d = Character(">", color="000000", kind=nvl)

label splashscreen:
    scene bg black
    show text "Some viewers might find some of this content disturbing." at truecenter with dissolve
    $ renpy.pause(2.5, hard=True)
    hide text with dissolve
    show text "If you are sensitive to trauma, please quit, or keep a list of support services nearby for your use." at truecenter with dissolve
    $ renpy.pause(4.0, hard=True)
    hide text with dissolve
    show text "This was a simple exploration into a single person's view of their trauma and mental illness through the connection of broken memories" at truecenter with dissolve
    $ renpy.pause(4.0, hard=True)
    hide text with dissolve
    show text "Based on a true story" at truecenter with dissolve
    $ renpy.pause(2.0, hard=True)
    return
    

image main_menu:
    "ground2.png"
    pause 1.0
    "ground1.png"
    pause 1.0
    repeat

### GOAL. Create a sense of helplessness and empathy.

label start:
    stop music fadeout(0.4)
    scene bg black
    
    "The sky is blue"
    play music "Thunder Dreams.mp3" fadein(4.0)
    "Is that right"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "An expression of facts"
    menu:
        "You were a woman":
            "I was a woman"
            pass
    menu:
        "You were an adult":
            "I was an adult"
            pass
    menu:
        "You were alive":
            "I was alive"
            pass
    ""
    menu:
        "You are about to be dead.":
            pass
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "I can only look up to the sky"
    "There's blood where my leg was cut in the struggle"
    "I can hear static"
    "I can't breathe past the taste of iron"
    "I'm on the ground"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "I know this time"
    "It's the afternoon just after maths class"
    "I hate maths class"
    "Maths class hates me too"
    "I know I'm failing"
    "I know my parents know"
    "I know"
    menu:
        "It's okay":
            ""
            pass
        "Grades don't matter":
            ""
            pass
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "My throat is closing"
    "My legs can't"
    menu:
        "Did you kick him?":
            "He is already holding me down"
            "I still try"
            "He presses harder"
            "Until the pain is white hot"
            "Until I can't feel it anymore"
            ""
            pass
        "Did you push him off?":
            "He is already holding me down"
            "His hand is on my chest"
            "I push"
            "My arms fail me"
            "I am shaking so much I can't breathe"
            "He does not budge"
            ""
            pass
        "Did you tell him no?":
            "Again, I say no"
            "I say it until my breath is gone"
            "All that's left is void"
            "Iron"
            "The weight of his hand pressing on my chest"
            ""
            pass
    nvl clear
    "My body is limp"
    "I didn't fight hard enough"
    "My school bag is digging into my spine"
    "Does it hurt?"
    "I can't feel it anymore"
    "I can't feel anymore"
    "I can't"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "I can see the bus stop"
    "The world is fragmented"
    "Clear but in pieces"
    "Lights dance off the edges"
    "Delicate"
    "My fingers are coiled around my bag"
    "I hold my breath"
    "The slightest movement will break it"
    "Will break everything"
    "I don't want to go home"
    "My lungs burn"
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "My lungs are burning"
    "There is no delicate light here"
    "Only his shadow"
    "No tears are coming"
    "I feel distant"
    "Except I don't feel"
    "I am distant"
    "I stop wishing it wasn't happening"
    menu:
        "You just wish it would end":
            pass
    "I just wish it would end"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "It's my bedroom wall"
    "Too familiar"
    "Anger bubbles over"
    "I can't go outside"
    "But my brother can"
    "Because he's a boy"
    "I want to hit the wall"
    "But it will hit me back"
    "Anger bubbles over"
    "I don't want to be hit again"
    menu:
        "It's okay":
            pass
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "Disgust"
    "My dad said this was all men wanted"
    "My mom said this is why they kept me isolated"
    "Does this mean they're right or wrong"
    menu:
        "They were right":
            pass
        "They were wrong":
            pass
    ""
    "His touch doesn't care about the answer"
    "So I won't either"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "It's pitch black"
    "My heart is racing"
    "I'm scared of the dark"
    "But I'm hiding again"
    "Holding my breath"
    "In the closet"
    "The smallest space"
    "They never find me here"
    "If I hide long enough"
    "They won't want to hit me"
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "The static is louder"
    "And he finally lets me go"
    "My body is heavy"
    "Leaden"
    "Foreign"
    "I cannot jar my mind and body back together"
    "So I am still"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "My heart is racing"
    "I can't find my things"
    "I know my bus is leaving soon"
    "My legs are weak as I hear my dad approaching"
    "Footsteps methodical"
    "Heel first"
    menu:
        "He's mad":
            pass
    "Oh god he's mad"
    ""
    nvl clear
    "He has a stapler"
    "I shield my head and then"
    "It's flying past me"
    d "Get the fuck out of my house."
    "I want to"
    "I want to"
    "I want to"
    ""
    "My chest hurts"
    menu:
        "Run":
            pass
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "He is still"
    "I come back to my senses"
    "I blink twice"
    "Then find movement in my folded legs"
    "Like a baby deer I stand"
    "I try to piece myself together"
    "But my body rejects my soul"
    "It comes up my esophagus"
    "Acid"
    menu:
        "You are shaking":
            pass
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "It's been five years"
    "The memory resurfaces in the kitchen"
    "I don't want to be alone"
    "I don't want to be in the dark"
    menu:
        "You're supposed to be in bed":
            pass
    "I'm supposed to be in bed"
    "But I'm in the kitchen"
    menu:
        "What about her?":
            pass
    "I'm supposed to be in bed with her"
    "But I deserve to be hurt"
    "I have a knife"
    menu:
        "It's only necessary":
            pass
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "I tidy my clothes"
    "I turn with a shaky smile"
    menu:
        "He's just your boyfriend":
            pass
    "I face my boyfriend"
    "I pass him my abandoned shorts"
    "The ones he took off"
    "That leave my legs bare under my skirt"
    "He takes them"
    "He wipes himself down"
    "He cries"
    "I try to smile again"
    menu:
        "But you feel like crying":
            pass
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "I just want to play on the computer"
    "I'm still a child"
    "But my parents say I have a list of chores"
    "I don't want to listen to them"
    menu:
        "It's your fault":
            pass
    "He drags me to the kitchen and hits me"
    "Over and over"
    "Even on the floor he kicks me"
    "Into the corner of the counter"
    "I can't breathe"
    "I just want to play on the computer"
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "It's your fault":
            pass
    nvl clear
    "He is still crying"
    "He says he feels guilty"
    menu:
        "You can't speak":
            "I can't speak"
            pass
    "I pat his shoulder awkwardly"
    "My body doesn't feel like my own"
    "My soul is still floating somewhere else"
    "He slowly stands"
    d "I know it was wrong... But it's your fault too"
    d "You led me on"
    "His eyes are clouded"
    menu:
        "You can't speak":
            "I can't speak"
            pass
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "You deserved it":
            pass
    nvl clear
    "It's my parents again"
    "They won't stop screaming"
    menu:
        "It's your fault":
            pass
    "It's okay, I've been storing painkillers"
    menu:
        "Are you going to kill yourself":
            pass
    "I'm going to kill the pain"
    "There are 84 pills"
    "I swallow them like candy"
    ""
    "It takes hours before I fear for my life"
    "I call a friend and cry about how sorry I am to be leaving them"
    menu:
        "But it's peaceful":
            "It is peaceful"
            pass
    ""
    nvl clear
    scene bg sky with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "It's a shame you woke up":
            pass
    nvl clear
    "We walk back up to the road"
    "I wonder if anyone saw"
    "It was public"
    "For a moment I fear"
    menu:
        "You're ashamed":
            pass
    "I'm ashamed"
    d "It's my fault too"
    "The words are foreign but they calm him"
    "So I don't have to explain his tears"
    "If a friend walks past"
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "You believe him":
            pass
    nvl clear
    "Her hair is silk"
    "Her hands soothing on the back and scalp"
    "She is determined, hard-working, and caring"
    menu:
        "She's your everything":
            "She is everything to me"
            pass
    menu:
        "That's unhealthy":
            pass
    "She makes me happy"
    d "I love you"
    "She loves the words that fall from my mouth"
    "I cuddle with her on the bed"
    menu:
        "How does it feel":
            pass
    "It's safe here"
    ""
    menu:
        "It won't last":
            pass
    nvl clear
    scene bg sky4 with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "The end is near now":
            pass
    nvl clear
    "I'm wandering the streets"
    "It's dark"
    "I've only got an empty mug"
    menu:
        "You took all the pills didn't you":
            "I took as many pills as I could"
            pass
    "I'm only here because she called the ambulance"
    "I don't want to be alone"
    menu:
        "But you want to die":
            "But I want to die"
            pass
    ""
    "I'll keep walking"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "No-one would miss you":
            pass
    nvl clear
    "I'm laying in her bed"
    "I've been applying for jobs"
    "I'm a little worn out"
    menu:
        "You'll never get a job":
            pass
    "I can hear her at the door"
    "I'm excited that she's home, but my body is too heavy"
    d "I thought I asked you to clean this up"
    menu:
        "Your heart rate spiked":
            pass
    "There is a flash of my dad's rage in my mind"
    "My mood drops significantly"
    d "I'm sorry I didn't get around to it"
    "She enters the room"
    d "Have you even gotten out of bed today?"
    ""
    nvl clear
    scene bg sky4 with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "You're just lazy":
            pass
    nvl clear
    "I'm still walking with this mug"
    menu:
        "You're drunk":
            "I am drunk"
            pass
    "Of course I'm drunk"
    "I don't have the courage otherwise"
    menu:
        "Killing yourself is weak":
            "I am weak"
            pass
    menu:
        "You can't cope with anything":
            pass
    "I know"
    ""
    nvl clear
    scene bg sky4 with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
    nvl clear
    "Why am I here"
    menu:
        "You gave up":
            "I gave up"
            pass
    "I went back to her and got taken to hospital"
    menu:
        "They treated you terribly":
            "It's not like I could have gotten lower"
            pass
    "Even though I spent the next six hours vomiting"
    "She stayed with me"
    "Slept on the floor"
    d "Happy valentines day"
    menu:
        "You ruined her valentines day":
            "I know I ruined her valentines day"
            pass
    menu:
        "You shouldn't have gone back":
            "I didn't expect to be taken to hospital"
            pass
    "I'm worthless"
    "I don't want to be this burden"
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "You have only ever been a burden":
            pass
    nvl clear
    "My chest hurts"
    menu:
        "You know something's wrong":
            "I know something is wrong"
            pass
    "She's avoiding me"
    d "We need to talk"
    menu:
        "You'd prefer she stabbed you":
            pass
    d "I love you, but"
    d "I'm getting tired"
    d "I can't deal with this anymore"
    d "I have to work"
    d "I don't want to come home to deal with you, too"
    menu:
        "You know what's coming":
            pass
    d "I think we need to take a break"
    menu:
        "She hates you":
            "She hates me"
            pass
    menu:
        "It's your fault":
            "It's my fault"
            pass
    ""
    nvl clear
    scene bg black with dissolve
    "Tell me something true"
    menu:
        "The sky is blue":
            pass
        "You destroy every happiness that comes your way":
            pass
    nvl clear
    menu:
        "You're alone":
            pass
    "I'm alone"
    menu:
        "It's your fault":
            pass
    "It's my fault"
    menu:
        "I know what you want":
            "I know"
            pass
    menu:
        "So why are you hesitating":
            pass
    ""
    menu:
        "Everyone used you":
            pass
    ""
    menu:
        "Anyone good for you left you":
            pass
    ""
    menu:
        "She left you":
            pass
    ""
    menu:
        "You're alone":
            pass
    ""
    menu:
        "It's dark":
            "It's dark"
            pass
    menu:
        "You could just disappear":
            pass
    ""
    menu:
        "End this":
            pass
    nvl clear
    "Tell me something true"
    menu:
        "You're dying":
            s "You're dying"
            pass
    "Is that it"
    "It hurts"
    stop music fadeout(6.0)
    menu:
        "It's supposed to":
            s "It's supposed to"
            pass
    "Are you showing me this"
    ""
    menu:
        "I know what you want":
            s "I know what you want"
            pass
    "Then, please"
    ""
    play sound "Lone Harvest.mp3" fadein(2.0)
    nvl clear
    "I am young"
    "Half-asleep as my dad carries me from the car"
    "I feel warm"
    "I feel safe"
    ""
    nvl clear
    "I am smiling"
    "My mother rocking me in her half-asleep state"
    "It's comfortable here"
    "I feel loved"
    ""
    nvl clear
    "I can feel my father's finger tracing my face"
    "It's ticklish but I pretend to sleep"
    "He gently kisses my nose"
    "It's hard not to smile"
    ""
    nvl clear
    "My brother is outside with me"
    "He is teaching me to tackle"
    "When I land it successfully"
    "His smile screams that he's proud of me"
    ""
    nvl clear
    "I'm with her again"
    "We're cuddling and smothering eachother in kisses"
    d "Are we girlfriends now?"
    ""
    "I can't see her face"
    ""
    "It's... It's supposed to be warm"
    "I can't feel it"
    menu:
        "I'm sorry":
            s "I'm sorry"
            pass
    "No. I'm not."
    ""
    nvl clear
    "Was the sky blue?"
    menu:
        "The sky was blue.":
            pass
    nvl clear
    window hide
    $ renpy.pause (1.0, hard=True)
    show text "Thank-you for playing this experiment, I hope you realised the truth of your interaction at the end" at truecenter with dissolve
    $ renpy.pause (3.0, hard=True)
    hide text with dissolve
    show text "If you ever feel as though you are troubled, please reach out" at truecenter with dissolve
    $ renpy.pause (3.0, hard=True)
    hide text with dissolve
    show text "There are a lot of helplines that are willing to listen, or support services to check out" at truecenter with dissolve
    $ renpy.pause (4.0, hard=True)
    hide text with dissolve
    show text "Credit for music goes to headphoamz on Newgrounds, and Kevin McCleod at Incompetech" at truecenter
    $ renpy.pause (3.0, hard=True)
    hide text with dissolve
    show text "You all deserve blue skies." at truecenter
    $ renpy.pause (2.0, hard=True)
    hide text with dissolve
    
    return
